# $Revision: 1.82 $, $Date: 2012/05/17 18:20:25 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		xfce_version	4.10.0
Summary:	Various GTK+ widgets for Xfce
Summary(pl.UTF-8):	Różne widgety GTK+ dla Xfce
Name:		libxfcegui4
Version:	4.10.0
Release:	1
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://archive.xfce.org/src/archive/libxfcegui4/4.10/%{name}-%{version}.tar.bz2
# Source0-md5:	4025b9d6811f051c914cdd700d437e61
URL:		http://www.xfce.org/
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.10.6
BuildRequires:	gtk-doc
BuildRequires:	gtk-doc-automake
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	libgladeui-devel >= 3.0.0
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xfce4-dev-tools >= 4.10.0
BuildRequires:	xorg-lib-libSM-devel
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfconf >= %{xfce_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Various GTK+ widgets for Xfce.

%description -l pl.UTF-8
Różne widgety GTK+ dla Xfce.

%package apidocs
Summary:	libxfcegui4 API documentation
Summary(pl.UTF-8):	Dokumentacja API libxfcegui4
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libxfcegui4 API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxfcegui4.

%package devel
Summary:	Development files for libxfcegui4 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxfcegui4
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.10.6
Requires:	libxfce4util-devel >= %{xfce_version}
Requires:	startup-notification-devel >= 0.8
Requires:	xorg-lib-libSM-devel

%description devel
Development files for the libxfcegui4 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxfcegui4.

%package static
Summary:	Static libxfcegui4 library
Summary(pl.UTF-8):	Statyczna biblioteka libxfcegui4
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxfcegui4 library.

%description static -l pl.UTF-8
Statyczna biblioteka libxfcegui4.

%package -n glade3-libxfcegui4
Summary:	libxfcegui4 support for Glade 3
Summary(pl.UTF-8):	Wsparcie dla libxfcegui4 w Glade 3
Group:		Development/Building
Requires:	glade3

%description -n glade3-libxfcegui4
libxfcegui4 support for Glade 3.

%description -n glade3-libxfcegui4 -l pl.UTF-8
Wsparcie dla libxfcegui4 w Glade 3.

%prep
%setup -q

%build
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# assume bn==bn_IN as no translation for bn_BD appeared till now
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/bn{_IN,}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/glade3/modules/libgladexfce4.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/libxfce4.{a,la}

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{tl_PH,ur_PK}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxfcegui4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfcegui4.so.4
%attr(755,root,root) %{_libdir}/libglade/2.0/libxfce4.so
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfcegui4.so
%{_includedir}/xfce4/libxfcegui4
%{_pkgconfigdir}/libxfcegui4-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfcegui4.a
%endif

%files -n glade3-libxfcegui4
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/glade3/modules/libgladexfce4.so
%{_datadir}/glade3/catalogs/xfce4.xml
%{_datadir}/glade3/catalogs/xfce4.xml.in
%{_datadir}/glade3/pixmaps/*/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxfcegui4.spec,v $
Revision 1.82  2012/05/17 18:20:25  baggins
- 4.10.0

Revision 1.81  2011/02/16 17:31:35  megabajt
- merged from DEVEL

Revision 1.75.2.4  2011/02/07 19:40:04  megabajt
- drop libtool file

Revision 1.80  2011/02/04 18:23:56  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.75.2.3  2011/01/27 20:01:35  megabajt
- updated to 4.8.0

Revision 1.75.2.2  2010/11/15 13:25:50  baggins
- no need to rebuild ac/am

Revision 1.79  2010/11/14 16:09:56  baggins
- removing directory

Revision 1.78  2010/11/14 16:09:23  baggins
- no ur_PK locale

Revision 1.77  2010/11/14 16:08:49  baggins
- updated md5sum

Revision 1.76  2010/11/14 12:39:32  baggins
- 4.6.2, XFCE 4.6.2

Revision 1.75.2.1  2010/11/14 12:09:24  baggins
- 4.7.0, XFCE 4.8pre1

Revision 1.75  2010/01/30 22:55:20  sparky
- BR: docbook-dtd412-xml, gtk-doc

Revision 1.74  2010/01/30 01:09:03  megabajt
- %{__gtkdocize}
- release 5

Revision 1.73  2010/01/29 22:54:34  arekm
- release 4

Revision 1.72  2009/06/17 14:38:51  hawk
- release 3

Revision 1.71  2009/05/15 16:59:08  hawk
- release 2

Revision 1.70  2009/04/27 07:18:45  adamg
- updated to 4.6.1

Revision 1.69  2009/03/23 15:06:52  megabajt
- release 2

Revision 1.68  2009/03/01 15:05:49  megabajt
- %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml moved to xfconf

Revision 1.67  2009/02/27 17:31:43  megabajt
- don't own whole %{_sysconfdir}/xdg/xfce4

Revision 1.66  2009/02/27 15:29:11  megabajt
- updated to 4.6.0
- added glade3-libxfcegui4 package

Revision 1.65  2008/11/09 16:05:30  megabajt
- release 2

Revision 1.64  2008/10/27 22:54:28  blues
- 4.4.3

Revision 1.63  2008/10/06 18:25:12  megabajt
- release 2

Revision 1.62  2007/12/04 20:00:26  megabajt
- updated to 4.4.2
- fixed locale names

Revision 1.61  2007-07-02 00:31:08  shadzik
- rel 2

Revision 1.60  2007/04/11 17:49:16  rotom
- 4.4.1

Revision 1.59  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.58  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.57  2007/01/21 19:09:53  megabajt
- updated md5

Revision 1.56  2007/01/21 19:05:17  megabajt
- updated to 4.4.0
- added apidocs subpackage

Revision 1.55  2006/11/05 18:26:30  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- updated deps

Revision 1.54  2006/09/04 12:32:43  megabajt
- updated to 4.3.99.1

Revision 1.53  2006/07/24 18:18:40  freetz
- rel.2, removed LDFLAGS

Revision 1.52  2006/07/16 11:29:01  freetz
- merged from DEVEL

Revision 1.51.2.2  2006/07/16 11:27:19  freetz
- 4.3.90.2, use common aclocal dir for m4 macros, updated deps, --as-needed
  support

Revision 1.51.2.1  2006/04/18 19:46:22  troll
- updated to 4.3.90.1 (4.4 beta 1)

Revision 1.51  2005/11/16 23:42:16  charles
- BR: rpmbuild(macros) >= 1.98 for %{_gtkdocdir}
- sorted BRs

Revision 1.50  2005/11/11 14:58:32  charles
- BR gtk-doc-automake instead of gtk-doc (adgor's suggestion)

Revision 1.49  2005/11/09 20:20:34  charles
- reverted (see eg. docs/Makefile.{am,in})

Revision 1.48  2005/11/09 18:18:09  adgor
- Commented out gtk-doc br (do it properly - `configure --help|grep gtk-doc`!)

Revision 1.47  2005/11/09 16:56:58  charles
- rm -taskbar.patch (already unnecessary)

Revision 1.46  2005/11/09 04:27:59  troll
- updated to 4.2.3

Revision 1.45  2005/11/01 10:49:57  ankry
- bn locale fix, rel. 3

Revision 1.44  2005/09/05 22:31:09  charles
- with gtk+2 >= 2.7 labels on xfce4-taskbar exceed the buttons dimensions,
  fixed by -taskbar.patch
- BR: gtk-doc
- rel. 2, STBR

Revision 1.43  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.42  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.41  2005/05/18 23:52:06  troll
- BR: xfce4-dev-tools

Revision 1.40  2005/05/18 08:54:49  koorek
- updated to 4.2.2

Revision 1.39  2005/03/20 11:50:33  qboosh
- when built on glib 2.6, it needs glib 2.6 at runtime - bumped gtk+2 deps to 2.6.0

Revision 1.38  2005/03/16 09:26:56  charles
- rm BR librsvg-devel (libxfcegui4 don't use librsvg)

Revision 1.37  2005/03/16 01:12:52  koorek
- updated to 4.2.1
- mirror url for source

Revision 1.36  2005/01/17 11:07:24  troll
- updated to 4.2.0 final

Revision 1.35  2005/01/05 11:17:18  charles
- proper licence

Revision 1.34  2005/01/05 03:04:27  charles
- reverted R libxfce4util

Revision 1.33  2005/01/04 21:43:29  charles
- proper BRs versions
- removed redundant R
- cosmetics in licence
- rel. 2 for STBR

Revision 1.32  2004/12/27 22:10:10  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.31  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.30  2004/12/13 18:30:37  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.29  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.28  2004/11/25 21:59:21  qboosh
- modules cleanup - now loadable w/o -devel

Revision 1.27  2004/11/25 21:31:23  qboosh
- gtk-doc moved to -devel (API, not user docs), added gtk+2 epoch

Revision 1.26  2004/11/24 22:16:21  troll
- merged from DEVEL

Revision 1.20.2.16  2004/11/24 21:40:54  troll
- changes from HEAD

Revision 1.20.2.15  2004/11/16 21:00:15  dzeus
- proper BR,R

Revision 1.20.2.14  2004/11/15 20:20:38  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.20.2.13  2004/11/06 23:36:43  troll
- R: gtk-doc-common
- switched to %%{_gtkdocdir}

Revision 1.20.2.12  2004/11/06 13:14:54  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.20.2.11  2004/10/07 05:21:03  troll
- up to 4.1.90 (4.2 beta 1)

Revision 1.20.2.10  2004/08/16 18:58:18  havner
- [mass commit] 20040816
- not tested yet

Revision 1.20.2.9  2004/08/13 16:03:35  havner
- no gtk-doc in BR

Revision 1.20.2.8  2004/08/13 16:02:11  havner
- proper version
- stricter BR
- 20040813

Revision 1.20.2.7  2004/08/06 21:33:28  havner
- 20040806
- %files fixed
- more BR (versions needs to be updated)

Revision 1.20.2.6  2004/07/30 00:22:10  troll
- 4.1.26 - some new hacks hence it's far from being complete

Revision 1.20.2.5  2004/06/22 12:42:17  jpc
- -devel R: startup-notification-devel

Revision 1.20.2.4  2004/06/21 16:01:43  jpc
- forgot -devel in BR

Revision 1.20.2.3  2004/06/21 16:00:46  jpc
- BR: gettext-devel, startup-notification-devel
- R: startup-notification

Revision 1.20.2.2  2004/06/16 16:46:49  jpc
- fixed -static subpackage group

Revision 1.20.2.1  2004/06/16 15:51:27  jpc
- new snap 20040616
- autotoolize
- find_lang added

Revision 1.20  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.19  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.18  2004/04/16 22:16:22  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.17  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.16  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.15  2004/01/02 17:43:30  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.14  2004/01/02 11:45:38  jajcus
- copy config.sub from automake

Revision 1.13  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.12  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.11  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.10  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.9  2003/08/28 11:33:46  troll
- fixed *Requires' versions

Revision 1.8  2003/08/27 09:03:45  pascalek
- wrr... md5sum updated

Revision 1.7  2003/08/27 08:58:28  pascalek
- updated to 3.99.3

Revision 1.6  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.5  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.4  2003/07/07 07:23:31  pascalek
- updated to 3.91.0

Revision 1.3  2003/06/18 07:41:59  qboosh
- BR: pkgconfig

Revision 1.2  2003/06/16 14:41:45  qboosh
- pl, cleanups, fixed file lists

Revision 1.1  2003/06/14 18:21:14  pascalek
- initial release
